Package com.independentsoft.office.odf.charts

# Enum Class ChartType

java.lang.Object
java.lang.Enum<ChartType>
com.independentsoft.office.odf.charts.ChartType

All Implemented Interfaces:
  `Serializable`, `Comparable<ChartType>`, `Constable`

public enum ChartType extends Enum<ChartType>
Represents a chart type.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AREA`
  The values are interpreted as y-coordinates within a Cartesian coordinate system with horizontal x-axis and vertical y-axis.
  `BAR`
  The values are interpreted as y-coordinates within a Cartesian coordinate system with horizontal x-axis and vertical y-axis.
  `CIRCLE`
  The values are displayed as pie chart.
  `GANTT`
  The values are interpreted together to form the start and end values (in this order) in a gantt chart.
  `LINE`
  The values are interpreted as y-coordinates within a Cartesian coordinate system with horizontal x-axis and vertical y-axis.
  `RADAR`
  The values are interpreted as radius-coordinates within a counter clockwise polar coordinate system.
  `RING`
  The values are displayed as one ring in a donut chart.
  `SCATTER`
  The values are interpreted as y-coordinates within a Cartesian coordinate system with horizontal x-axis and vertical y-axis.
  `STOCK`
  The values are interpreted together to form the opening, minimum, maximum and closing (in this order) values of a stock symbol displayed at the y scale in a Cartesian coordinate system with horizontal x-axis and vertical y-axis.
  `SURFACE`
  The values are interpreted as altitudes at specific grid locations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChartType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChartType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LINE

    public static final ChartType LINE
    The values are interpreted as y-coordinates within a Cartesian coordinate system with horizontal x-axis and vertical y-axis.

  - ### AREA

    public static final ChartType AREA
    The values are interpreted as y-coordinates within a Cartesian coordinate system with horizontal x-axis and vertical y-axis. The accessory x-coordinates are generated from the positions in the y-value sequence starting with 1.0. The first y value gets an x value 1.0. The second y value is associated with an x value of 2.0 and so forth.

  - ### CIRCLE

    public static final ChartType CIRCLE
    The values are displayed as pie chart.

  - ### RING

    public static final ChartType RING
    The values are displayed as one ring in a donut chart.

  - ### SCATTER

    public static final ChartType SCATTER
    The values are interpreted as y-coordinates within a Cartesian coordinate system with horizontal x-axis and vertical y-axis.

  - ### RADAR

    public static final ChartType RADAR
    The values are interpreted as radius-coordinates within a counter clockwise polar coordinate system.

  - ### BAR

    public static final ChartType BAR
    The values are interpreted as y-coordinates within a Cartesian coordinate system with horizontal x-axis and vertical y-axis. The accessory x-coordinates are generated from the positions in the y-value sequence starting with 1.0. The first y value gets an x value 1.0. The second y value is associated with an x value of 2.0 and so forth.

  - ### STOCK

    public static final ChartType STOCK
    The values are interpreted together to form the opening, minimum, maximum and closing (in this order) values of a stock symbol displayed at the y scale in a Cartesian coordinate system with horizontal x-axis and vertical y-axis. If only three series are given, the values are interpreted as minimum, maximum and closing values (in this order). The accessory x-coordinates are generated from the positions in the y-value sequence starting with 1.0. The first y value gets an x value 1.0. The second y value is associated with an x value of 2.0 and so forth.

  - ### SURFACE

    public static final ChartType SURFACE
    The values are interpreted as altitudes at specific grid locations.

  - ### GANTT

    public static final ChartType GANTT
    The values are interpreted together to form the start and end values (in this order) in a gantt chart. Start and end values are displayed at the y-axis in a Cartesian coordinate system with horizontal x-axis and vertical y-axis. The accessory x-coordinates are generated from the positions in the y-value sequence starting with 1.0. The first y value gets an x value 1.0. The second y value is associated with an x value of 2.0 and so forth.

- ## Method Details

  - ### values

    public static ChartType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChartType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null